#if !defined(_CHAPTER13_SIMULATION_PINNED_BAR_H_)
#define _CHAPTER13_SIMULATION_PINNED_BAR_H_ 1


class CPinnedBar
{
public:
	//  CPinnedBar 
	CPinnedBar(double accelCart, double maxElapsedTime, unsigned long maxStep);
	//  CPinnedBar Ҹ
	~CPinnedBar();

	//  bar ̸ ȯ
	double getLength() const  {  return len_;  }

	//  bar   踦 ȯ
	double getInclinedAngle(unsigned long step) const;

private:
	//  bar   踦 
	void calcInclinedAngle();

public:
	static double K1, K2;

private:
	//  bar 
	double len_;
	//  bar 
	double m_;
	//  ߷ ӵ
	double g_;
	//  ߽ɿ  bar Ʈ
	double Ic_;

	//   ӵ
	double accelCart_;

	//  Ѽҿð
	double maxElapsedTime_;

	//
	unsigned long maxStep_;

	//  bar  ӵ 
	double* result_;
};


#endif  //  _CHAPTER13_SIMULATION_PINNED_BAR_H_
