#if !defined(_CHAPTER13_SIMULATION_CART_SIMULATOR_H_)
#define _CHAPTER13_SIMULATION_CART_SIMULATOR_H_ 1


#include "PinnedBar.h"


class CCartSimulator
{
public:
	//  CCartSimulator 
	CCartSimulator(double initVelCart, double uniformAccelCart);
	//  CCartSimulator Ҹ
	~CCartSimulator()  {}

	//  ð t  simulation  ¸ Ѵ
	void printInfo(double t);

	//  ٴ ׸
	void drawFloor(double len);

	//  cart ׸
	void drawCart(double width, double height, double pos);

	//  bar ׸
	void drawBar(double len, double cartPos, double cartHeight, double inclinedAngle);

	//  ð t  bar simulationѴ
	void simulate();

private:
	//  car ġ ȯ
	double getCartPos(unsigned long step) const;

private:
	//  cart ʱ ӵ
	double initVelCart_;

	//  cart ӵ
	double uniformAccelCart_;

	//  Ѽҿð
	double maxElapsedTime_;

	//
	unsigned long step_;

	//
	unsigned long maxStep_;

	//   bar
	CPinnedBar pinnedBar_;
};


#endif  //  _CHAPTER13_SIMULATION_CART_SIMULATOR_H_
