#include "MathExt.h"
#include <cmath>


//---------------------------------------------------------------------------------------------
//

const double CMathExt::EPS = 1.0e-5;

const double CMathExt::PI = 4.0 * ::atan(1.0);
const double CMathExt::PI_2 = CMathExt::PI * 0.5;
const double CMathExt::PI_3 = CMathExt::PI / 3.0;
const double CMathExt::PI_4 = CMathExt::PI * 0.25;
const double CMathExt::PI_6 = CMathExt::PI_3 * 0.5;
const double CMathExt::_2_PI = 2.0 * CMathExt::PI;
const double CMathExt::_3_PI = 3.0 * CMathExt::PI;
const double CMathExt::_4_PI = 4.0 * CMathExt::PI;

double CMathExt::toDeg(double rad)
{  return rad * 180.0 / CMathExt::PI;  }

double CMathExt::toRad(double deg)
{  return deg * CMathExt::PI / 180.0;  }
